const fs = require('fs');
const path = require('path');

const absPath = `D:/sql_export`;

// 数字转成字符串，同时在前面填充
function fill(num, fillers, length) {
    var result = `${num}`;
    if (result.length < length)
        result = new Array(length - result.length + 1).join(fillers) + result;
    return result;
}

// #############################################

// const export_gap = 50000000;
// const partition_gap = 50000000;
// const table = "comment_1024";
// const index = "comment_id";
// const exportTablePrefix = "comment_export_";

// let sqlArr1 = [];
// let sqlArr2 = [];
// let sqlArr3 = [];
// for (let i = 200; i < 300; i++) {
//     // for (let i = 100; i < 200; i++) {
//     let where = `${index} >= ${fill(i * export_gap, ' ', 12)} and ${index} < ${fill((i + 1) * export_gap, ' ', 12)}`;

//     let sql_create_table = `create table ${exportTablePrefix}${fill(i, '0', 4)} select * from ${table} where ${where};`;
//     sqlArr1.push(sql_create_table);

//     let sql_delete_rows = `DELETE FROM ${table} WHERE ${where};`;
//     sqlArr2.push(sql_delete_rows);

//     let sql_partition = `  PARTITION p${fill(i, '0', 4)} VALUES LESS THAN (${fill((i + 1) * partition_gap, ' ', 12)})`;
//     sqlArr3.push(sql_partition);
// }
// sqlArr3.push(`  PARTITION p_max VALUES LESS THAN MAXVALUE`);

// 建表
// console.log(sqlArr1.join('\n'));

// 删除原表数据
// console.log(sqlArr2.join('\n'));

// 新创建表的分区
// console.log(`partition (\n${sqlArr3.join(',\n')}\n)`);

// #############################################

// 删除表
// for (let i = 107; i < 200; i++) {
//     console.log(`DROP TABLE IF EXISTS comment_export_${fill(i, '0', 4)};`);
// }

// #############################################

// // 使用 mysqldump 分块导出数据表
// let rangeTxtName = "song"; // 分布区间 "song" "album" "artist" "user"
// const dumpTable = "lyric"; // "comment_progress";
// const fieldName = `song_id`;
// var a = fs.readFileSync(path.join(__dirname, `distribution_range/${rangeTxtName}.txt`), "utf-8").trim().split("\n").reverse().map(i => i.trim());
// // console.log(a);
// let outputArr = [`@echo off`, `D:`, `cd D:/Program/Development/Environment/phpstudy_pro/Extensions/MySQL8.0.12/bin`];
// for (let i = 0; i < a.length; i++) {
//     let where;
//     if (a[i + 1]) {
//         where = `${fieldName}>=${a[i]} and ${fieldName}<${a[i + 1]}`;
//     } else {
//         where = `${fieldName}>=${a[i]}`;
//     }
//     outputArr.push(`mysqldump neteasemusic -hrm-bp18qrc78dj7vd3newo.rwlb.rds.aliyuncs.com -uroot -pOj13EzoppxXvMmjPKh --tables ${dumpTable} --where="${where}" --skip-add-drop-table --set-gtid-purged=OFF > ${absPath}/${dumpTable}_${fill(i, '0', 4)}.sql`);
// }
// outputArr.push("echo done.");
// console.log(outputArr.join('\n\n'));

// #############################################

// // 使用 mysqldump 分块导出数据表
// let rangeTxtName = "song"; // 分布区间 "song" "album" "artist" "user"
// const fieldName = `song_id`;
// var a = fs.readFileSync(path.join(__dirname, `distribution_range/${rangeTxtName}.txt`), "utf-8").trim().split("\n").reverse().map(i => i.trim());
// // console.log(a);
// let outputArr = [`@echo off`, `D:`, `cd D:/Program/Development/Environment/phpstudy_pro/Extensions/MySQL8.0.12/bin`];
// for (let i = 0; i < a.length; i++) {
//     let where;
//     if (a[i + 1]) {
//         where = `${fieldName}>=${a[i]} and ${fieldName}<${a[i + 1]}`;
//     } else {
//         where = `${fieldName}>=${a[i]}`;
//     }
//     outputArr.push(`INSERT INTO song SELECT * FROM song_old WHERE ${where}; -- ${i}`);
// }
// outputArr.push("echo done.");
// console.log(outputArr.join('\n'));

// #############################################

let outputArr = [];
var a = fs.readFileSync(path.join(__dirname, `distribution_range/user.txt`), "utf-8").trim().split("\n").reverse().map(i => i.trim());
// a = a.filter((val, index) => index % 15 == 0); // 抽掉一些边界 不然SQL太多了
for (let i = 0; i < a.length; i++) {
    outputArr.push(`start cmd /k "node index --utils comment --min ${a[i]} --max ${a[i + 1]} --limit 10000"`);
}
outputArr.push("echo done.");
console.log(outputArr.join('\n'));
