const fs = require('fs');
const path = require('path');

const sleepUtils = require('../../../utils/sleepUtils');

const dbUtils = global.dbUtils;

// refer:
// https://neteasecloudmusicapi-docs.4everland.app/
// https://github.com/Binaryify/NeteaseCloudMusicApi
const { top_playlist, top_playlist_highquality, related_playlist } = require('NeteaseCloudMusicApi');

// 获取歌词详情
async function fetch() {
    try {
        var result = await related_playlist({
            id: 1
        });
        fs.writeFileSync(path.join(__dirname, "../../temp", `test.json`), JSON.stringify(result.body));
    } catch (errors) {
        console.error("error", errors);
        await sleepUtils.sleep(10 * 1000);
    }
    console.log(result);
}

module.exports = {
    fetch: fetch,
}