/**
 * HTTP Server (node demo)
 * CommonJS
 */
const http = require('http');
const url = require('url');

const port = 8080;
const server = http.createServer((request, response) => {
    console.log("\n\n\n");
    console.log("当前时间：" + Date.now() + " | " + new Date().toLocaleString() + " | " + new Date().toISOString());
    console.log("request.method", request.method);
    let requestUrl = url.parse(request.url, true);
    console.log("request.url", requestUrl.pathname, requestUrl.query);
    console.log("request.headers", request.headers);

    request.on("data", (postData) => {
        console.log("postData", postData.toString());
    })
    response.setHeader("Content-Type", "text/json;charset=utf-8");
    response.write("hello!");
    response.end();
})

server.listen(port, (error) => {
    console.log(error);
    console.log(`server is running at port ${port}`);
})