const fs = require('fs');
const path = require('path');

const requestUtils = require('../../../utils/requestUtils');
const sleepUtils = require('../../../utils/sleepUtils');

const dbUtils = global.dbUtils;

// 获取用户详情
async function fetch({ userId, debug = false }) {
    let url = `https://music.163.com/user/home?id=${userId}`;
    try {
        var html = fs.readFileSync(path.join(__dirname, "../../temp", ` user-${userId}.html`), 'utf8');
    } catch (errors) {
        var html = await requestUtils.getApiResult(url);
        fs.writeFileSync(path.join(__dirname, "../../temp", ` user-${userId}.html`), html);
    }


}

module.exports = {
    fetch: fetch,
}