const fs = require('fs');
const path = require('path');

var html = fs.readFileSync(path.join(__dirname, 'get_cate_html.html'), 'utf8');

var htmlGroup = html.split('<dl class="f-cb">');

var rows = [];
htmlGroup.forEach(function (group) {
    let title = group.match(/<\/i>(.*?)<\/dt>/);
    if (!title) return; // 排除第一个 全部
    title = title[1];

    var matcher = group.matchAll(/data-cat="(.*?)"/g);
    var m = matcher.next();
    var cate = [];
    while (!m.done) {
        let category = m.value[1].replace(/&amp;/g, "&");
        cate.push(category);
        rows.push(`('${category}', '${title}')`);
        m = matcher.next();
    }
    console.log({ title, cate });
});
console.log(`
INSERT INTO category (title, netease_group_chinese) VALUES ${rows.join(',')} ON DUPLICATE KEY UPDATE netease_group_chinese=VALUES(netease_group_chinese)
`);
return;
